#include "WidgetTest.hpp"

#include <eedb/widgets/DefaultCategoryTree.hpp>

#include <Wt/WTreeView>

class CategoriesTreeTest : public WidgetTest {
  public:
	CategoriesTreeTest() : WidgetTest(), sut(std::make_unique< eedb::DefaultCategoriesTree >()) {
        sut->attachTo(app.root());
    }
    auto find_tree() {
        return ut_find< Wt::WTreeView >("categories_tree");
    }

  protected:
    std::unique_ptr< eedb::DefaultCategoriesTree > sut;
};

TEST_F(CategoriesTreeTest, hasElements) {
    find_tree();
}
